<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PaymentBooking StructType
 * @subpackage Structs
 */
class PaymentBooking extends AbstractStructBase
{
    /**
     * The PaymentRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PaymentRQ
     */
    public $PaymentRQ;
    /**
     * Constructor method for PaymentBooking
     * @uses PaymentBooking::setPaymentRQ()
     * @param \StructType\JP_PaymentRQ $paymentRQ
     */
    public function __construct(\StructType\JP_PaymentRQ $paymentRQ = null)
    {
        $this
            ->setPaymentRQ($paymentRQ);
    }
    /**
     * Get PaymentRQ value
     * @return \StructType\JP_PaymentRQ|null
     */
    public function getPaymentRQ()
    {
        return $this->PaymentRQ;
    }
    /**
     * Set PaymentRQ value
     * @param \StructType\JP_PaymentRQ $paymentRQ
     * @return \StructType\PaymentBooking
     */
    public function setPaymentRQ(\StructType\JP_PaymentRQ $paymentRQ = null)
    {
        $this->PaymentRQ = $paymentRQ;
        return $this;
    }
}
